Package htsjdk.samtools.cram.compression.fqzcomp

# Class FQZModels

java.lang.Object
htsjdk.samtools.cram.compression.fqzcomp.FQZModels

public class FQZModels extends Object

## Constructor Summary

Constructors
Constructor
Description
`FQZModels(FQZParams fqzParams)`

## Method Summary

Modifier and Type
Method
Description
`ByteModel`
`getDuplicate()`
`ByteModel[]`
`getLength()`
`ByteModel[]`
`getQuality()`
`ByteModel`
`getReverse()`
`ByteModel`
`getSelector()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FQZModels

public FQZModels(FQZParams fqzParams)

## Method Details

### getQuality

public ByteModel[] getQuality()

### getLength

public ByteModel[] getLength()

### getReverse

public ByteModel getReverse()

### getDuplicate

public ByteModel getDuplicate()

### getSelector

public ByteModel getSelector()